## hartfordfive-protologbeat.zip

=== Makefile ===
BEATNAME=protologbeat
BEAT_DIR=github.com/harfordfive/protologbeat
SYSTEM_TESTS=false
TEST_ENVIRONMENT=false
ES_BEATS?=./vendor/github.com/elastic/beats
GOPACKAGES=$(shell glide novendor)
PREFIX?=.
NOTICE_FILE=NOTICE

# Path to the libbeat Makefile
-include $(ES_BEATS)/libbeat/scripts/Makefile

# Initial beat setup
.PHONY: setup
setup: copy-vendor
	make update

# Copy beats into vendor directory
.PHONY: copy-vendor
copy-vendor:
	mkdir -p vendor/github.com/elastic/
	cp -R ${GOPATH}/src/github.com/elastic/beats vendor/github.com/elastic/
	rm -rf vendor/github.com/elastic/beats/.git

.PHONY: git-init
git-init:
	git init
	git add README.md CONTRIBUTING.md
	git commit -m "Initial commit"
	git add LICENSE
	git commit -m "Add the LICENSE"
	git add .gitignore
	git commit -m "Add git settings"
	git add .
	git reset -- .travis.yml
	git commit -m "Add protologbeat"
	git add .travis.yml
	git commit -m "Add Travis CI"

# This is called by the beats packer before building starts
.PHONY: before-build
before-build:

# Collects all dependencies and then calls update
.PHONY: collect
collect:

=== vendor/github.com/elastic/beats/Makefile ===

BUILD_DIR=build
COVERAGE_DIR=${BUILD_DIR}/coverage
BEATS=packetbeat filebeat winlogbeat metricbeat heartbeat
PROJECTS=libbeat ${BEATS}
PROJECTS_ENV=libbeat filebeat metricbeat
SNAPSHOT?=yes

# Runs complete testsuites (unit, system, integration) for all beats with coverage and race detection.
# Also it builds the docs and the generators
.PHONY: testsuite
testsuite:
	$(foreach var,$(PROJECTS),$(MAKE) -C $(var) testsuite || exit 1;)
	#$(MAKE) -C generate test

stop-environments:
	$(foreach var,$(PROJECTS_ENV),$(MAKE) -C $(var) stop-environment || exit 0;)

# Runs unit and system tests without coverage and race detection.
.PHONY: test
test:
	$(foreach var,$(PROJECTS),$(MAKE) -C $(var) test || exit 1;)

# Runs unit tests without coverage and race detection.
.PHONY: unit
unit:
	$(foreach var,$(PROJECTS),$(MAKE) -C $(var) unit || exit 1;)

.PHONY: coverage-report
coverage-report:
	mkdir -p ${COVERAGE_DIR}
	# Writes atomic mode on top of file
	echo 'mode: atomic' > ./${COVERAGE_DIR}/full.cov
	# Collects all coverage files and skips top line with mode
	-tail -q -n +2 ./filebeat/${COVERAGE_DIR}/*.cov >> ./${COVERAGE_DIR}/full.cov
	-tail -q -n +2 ./packetbeat/${COVERAGE_DIR}/*.cov >> ./${COVERAGE_DIR}/full.cov
	-tail -q -n +2 ./winlogbeat/${COVERAGE_DIR}/*.cov >> ./${COVERAGE_DIR}/full.cov
	-tail -q -n +2 ./libbeat/${COVERAGE_DIR}/*.cov >> ./${COVERAGE_DIR}/full.cov
	go tool cover -html=./${COVERAGE_DIR}/full.cov -o ${COVERAGE_DIR}/full.html

.PHONY: update
update:
	$(MAKE) -C libbeat collect
	$(foreach var,$(BEATS),$(MAKE) -C $(var) update || exit 1;)

.PHONY: clean
clean:
	rm -rf build
	$(foreach var,$(PROJECTS),$(MAKE) -C $(var) clean || exit 1;)
	$(MAKE) -C generate clean

# Cleans up the vendor directory from unnecessary files
# This should always be run after updating the dependencies
.PHONY: clean-vendor
clean-vendor:
	sh scripts/clean_vendor.sh

.PHONY: check
check:
	$(foreach var,$(PROJECTS),$(MAKE) -C $(var) check || exit 1;)
	# Validate that all updates were commited
	$(MAKE) update
	git update-index --refresh
	git diff-index --exit-code HEAD --

.PHONY: fmt
fmt:
	$(foreach var,$(PROJECTS),$(MAKE) -C $(var) fmt || exit 1;)

.PHONY: simplify
simplify:
	$(foreach var,$(PROJECTS),$(MAKE) -C $(var) simplify || exit 1;)

# Collects all dashboards and generates dashboard folder for https://github.com/elastic/beats-dashboards/tree/master/dashboards
.PHONY: beats-dashboards
beats-dashboards:
	mkdir -p build/dashboards
	$(foreach var,$(BEATS),cp -r $(var)/_meta/kibana/ build/dashboards/$(var)  || exit 1;)

# Builds the documents for each beat
.PHONY: docs
docs:
	sh libbeat/scripts/build_docs.sh ${PROJECTS}

.PHONY: package
package: update beats-dashboards
	$(foreach var,$(BEATS),SNAPSHOT=$(SNAPSHOT) $(MAKE) -C $(var) package || exit 1;)

	# build the dashboards package
	echo "Start building the dashboards package"
	mkdir -p build/upload/
	BUILD_DIR=${shell pwd}/build SNAPSHOT=$(SNAPSHOT) $(MAKE) -C dev-tools/packer package-dashboards ${shell pwd}/build/upload/build_id.txt
	mv build/upload build/dashboards-upload

	# Copy build files over to top build directory
	mkdir -p build/upload/
	$(foreach var,$(BEATS),cp -r $(var)/build/upload/ build/upload/$(var)  || exit 1;)
	cp -r build/dashboards-upload build/upload/dashboards

# Upload nightly builds to S3
.PHONY: upload-nightlies-s3
upload-nightlies-s3: all
	aws s3 cp --recursive --acl public-read build/upload s3://beats-nightlies

# Run after building to sign packages and publish to APT and YUM repos.
.PHONY: package-upload
upload-package:
	$(MAKE) -C dev-tools/packer deb-rpm-s3
	# You must export AWS_ACCESS_KEY=<AWS access> and export AWS_SECRET_KEY=<secret>
	# before running this make target.
	dev-tools/packer/docker/deb-rpm-s3/deb-rpm-s3.sh

.PHONY: release-upload
upload-release:
	aws s3 cp --recursive --acl public-read build/upload s3://download.elasticsearch.org/beats/

.PHONY: notice
notice: 
	python dev-tools/generate_notice.py .

=== vendor/github.com/pquerna/ffjson/Makefile ===

all: test install
	@echo "Done"

install:
	go install github.com/pquerna/ffjson

deps:

fmt:
	go fmt github.com/pquerna/ffjson/...

cov:
	# TODO: cleanup this make target.
	mkdir -p coverage
	rm -f coverage/*.html
	# gocov test github.com/pquerna/ffjson/generator | gocov-html > coverage/generator.html
	# gocov test github.com/pquerna/ffjson/inception | gocov-html > coverage/inception.html
	gocov test github.com/pquerna/ffjson/fflib/v1 | gocov-html > coverage/fflib.html
	@echo "coverage written"

test-core:
	go test -v github.com/pquerna/ffjson/fflib/v1 github.com/pquerna/ffjson/generator github.com/pquerna/ffjson/inception

test: ffize test-core
	go test -v github.com/pquerna/ffjson/tests/...

ffize: install
	ffjson -force-regenerate tests/ff.go
	ffjson -force-regenerate tests/goser/ff/goser.go
	ffjson -force-regenerate tests/go.stripe/ff/customer.go
	ffjson -force-regenerate -reset-fields tests/types/ff/everything.go
	ffjson -force-regenerate tests/number/ff/number.go

bench: ffize all
	go test -v -benchmem -bench MarshalJSON  github.com/pquerna/ffjson/tests
	go test -v -benchmem -bench MarshalJSON  github.com/pquerna/ffjson/tests/goser github.com/pquerna/ffjson/tests/go.stripe
	go test -v -benchmem -bench UnmarshalJSON  github.com/pquerna/ffjson/tests/goser github.com/pquerna/ffjson/tests/go.stripe

clean:
	go clean -i github.com/pquerna/ffjson/...
	rm -rf tests/ff/*_ffjson.go tests/*_ffjson.go tests/ffjson-inception*

.PHONY: deps clean test fmt install all

=== vendor/github.com/elastic/beats/filebeat/Makefile ===
#!/bin/bash

BEATNAME?=filebeat
BEAT_DESCRIPTION?=Filebeat sends log files to Logstash or directly to Elasticsearch.
SYSTEM_TESTS=true
TEST_ENVIRONMENT?=true
GOX_FLAGS='-arch=amd64 386 arm ppc64 ppc64le'

include ../libbeat/scripts/Makefile

# This is called by the beats packer before building starts
.PHONY: before-build
before-build:

# Collects all module dashboards
.PHONY: kibana
kibana:
	# To not remove index-pattern as generated by update
	-rm -r _meta/kibana/dashboard _meta/kibana/search _meta/kibana/visualization
	mkdir -p _meta/kibana
	-cp -r module/*/_meta/kibana _meta/

# Collects all module and dataset fields
.PHONY: fields
fields:
	mkdir -p _meta/
	cat ${ES_BEATS}/filebeat/_meta/fields.common.yml > _meta/fields.generated.yml
	. ${PYTHON_ENV}/bin/activate; python ${ES_BEATS}/metricbeat/scripts/fields_collector.py >> _meta/fields.generated.yml


# Runs all collection steps and updates afterwards
.PHONY: collect
collect:
	# dummy implementation to avoid adding the modules until released
	mkdir -p _meta/
	cat ${ES_BEATS}/filebeat/_meta/fields.common.yml > _meta/fields.generated.yml


# Creates a new fileset. Requires the params MODULE and FILESET
.PHONY: create-fileset
create-fileset: python-env
	. ${PYTHON_ENV}/bin/activate; python ${ES_BEATS}/filebeat/scripts/create_fileset.py --path=$(PWD) --es_beats=$(ES_BEATS) --module=$(MODULE) --fileset=$(FILESET)

=== vendor/github.com/elastic/beats/generate/Makefile ===

# Runs test build for the count metricset
.PHONY: test
test:
	$(MAKE) -C beat test
	$(MAKE) -C metricbeat/metricset test

# Cleans up environment
.PHONY: clean
clean:
	$(MAKE) -C beat clean
	$(MAKE) -C metricbeat/metricset clean

=== vendor/github.com/elastic/beats/heartbeat/Makefile ===
BEATNAME=heartbeat
BEAT_DESCRIPTION?=Ping remote services for availability and log results to Elasticsearch or send to Logstash.
SYSTEM_TESTS=false
TEST_ENVIRONMENT=false

# Path to the libbeat Makefile
-include ../libbeat/scripts/Makefile

# This is called by the beats packer before building starts
.PHONY: before-build
before-build:

# Collects all dependencies and then calls update
.PHONY: collect
collect:

=== vendor/github.com/elastic/beats/libbeat/Makefile ===

BEATNAME=libbeat
TEST_ENVIRONMENT=true
SYSTEM_TESTS=true

include scripts/Makefile

# Collects all fields from processors
.PHONY: fields
fields:
	cat _meta/fields.common.yml > _meta/fields.generated.yml
	cat processors/*/_meta/fields.yml >> _meta/fields.generated.yml

# Collects all dependencies and then calls update
.PHONY: collect
collect: fields

=== vendor/github.com/elastic/beats/metricbeat/Makefile ===
#!/bin/bash

# Name can be overwritten, as Metricbeat is also a library
BEATNAME?=metricbeat
BEAT_DESCRIPTION?=Metricbeat sends metrics to Elasticsearch.
SYSTEM_TESTS=true
TEST_ENVIRONMENT?=true
GOPACKAGES=$(shell go list ${BEAT_DIR}/... | grep -v /vendor/)
ES_BEATS?=..

TARGETS?="windows/amd64 windows/386 darwin/amd64"
TARGETS_OLD?="linux/amd64 linux/386"
CGO=true

# Metricbeat can only be cross-compiled on platforms not requiring CGO.
GOX_OS=solaris netbsd linux windows
GOX_FLAGS='-arch=amd64 386 arm ppc64 ppc64le'


include ${ES_BEATS}/libbeat/scripts/Makefile

# Collects all module dashboards
.PHONY: kibana
kibana:
	# To not remove index-pattern as generated by update
	-rm -r _meta/kibana/dashboard _meta/kibana/search _meta/kibana/visualization
	mkdir -p _meta/kibana
	-cp -r module/*/_meta/kibana _meta/

# Collects all module and metricset fields
.PHONY: fields
fields:
	mkdir -p _meta/
	cat ${ES_BEATS}/metricbeat/_meta/fields.common.yml > _meta/fields.generated.yml
	. ${PYTHON_ENV}/bin/activate; python ${ES_BEATS}/metricbeat/scripts/fields_collector.py >> _meta/fields.generated.yml

# Collects all module docs
.PHONY: collect-docs
collect-docs: python-env
	-rm -rf docs/modules
	mkdir -p docs/modules
	. ${PYTHON_ENV}/bin/activate; python ${ES_BEATS}/metricbeat/scripts/docs_collector.py --beat ${BEATNAME}

# Collects all module configs
.PHONY: configs
configs: python-env
	. ${PYTHON_ENV}/bin/activate; python ${ES_BEATS}/metricbeat/scripts/config_collector.py --beat ${BEATNAME} $(PWD) > _meta/beat.yml
	. ${PYTHON_ENV}/bin/activate; python ${ES_BEATS}/metricbeat/scripts/config_collector.py --beat ${BEATNAME} --full $(PWD) > _meta/beat.full.yml

# Generates imports for all modules and metricsets
.PHONY: imports
imports:
	mkdir -p include
	python ${ES_BEATS}/metricbeat/scripts/generate_imports.py ${BEAT_DIR} ${BEATNAME} > include/list.go

# This is called by the beats packer before building starts
.PHONY: before-build
before-build:
	# disable the system/load metricset on windows
	sed -i.bk 's/- load/#- load/' $(PREFIX)/metricbeat-win.yml
	rm $(PREFIX)/metricbeat-win.yml.bk
	sed -i.bk 's/- load/#- load/' $(PREFIX)/metricbeat-win.full.yml
	rm $(PREFIX)/metricbeat-win.full.yml.bk

# Runs all collection steps and updates afterwards
.PHONY: collect
collect: fields collect-docs configs kibana imports

# Creates a new metricset. Requires the params MODULE and METRICSET
.PHONY: create-metricset
create-metricset:
	python ${ES_BEATS}/metricbeat/scripts/create_metricset.py --path=$(PWD) --es_beats=$(ES_BEATS) --module=$(MODULE) --metricset=$(METRICSET)


# Generates the data.json example documents
.PHONY: generate-json
generate-json: build-image
	 ${DOCKER_COMPOSE} run beat go test -tags=integration github.com/elastic/beats/metricbeat/module/... -data

=== vendor/github.com/elastic/beats/packetbeat/Makefile ===

BEATNAME?=packetbeat
BEAT_DESCRIPTION?=Packetbeat analyzes network traffic and sends the data to Elasticsearch.
SYSTEM_TESTS=true
TEST_ENVIRONMENT=false
TARGETS="windows/amd64 windows/386 darwin/amd64"
TARGETS_OLD="linux/amd64 linux/386"
CGO=true

include ../libbeat/scripts/Makefile

.PHONY: with_pfring
with_pfring:
	go build --tags havepfring

# This is called by the beats packer before building starts
.PHONY: before-build
before-build:
	sed -i.bk 's/device: any/device: en0/' $(PREFIX)/packetbeat-darwin.yml
	rm $(PREFIX)/packetbeat-darwin.yml.bk
	sed -i.bk 's/device: any/device: en0/' $(PREFIX)/packetbeat-darwin.full.yml
	rm $(PREFIX)/packetbeat-darwin.full.yml.bk
	# win
	sed -i.bk 's/device: any/device: 0/' $(PREFIX)/packetbeat-win.yml
	rm $(PREFIX)/packetbeat-win.yml.bk
	sed -i.bk 's/device: any/device: 0/' $(PREFIX)/packetbeat-win.full.yml
	rm $(PREFIX)/packetbeat-win.full.yml.bk

# Collects all dependencies and then calls update
.PHONY: collect
collect: fields

.PHONY: fields
fields:
	cat _meta/fields_base.yml > _meta/fields.yml
	cat protos/*/_meta/fields.yml >> _meta/fields.yml

.PHONY: benchmark
benchmark:
	go test -short -bench=. ./... -cpu=2

=== vendor/github.com/elastic/beats/winlogbeat/Makefile ===
BEATNAME=winlogbeat
BEAT_DESCRIPTION=Winlogbeat ships Windows event logs to Elasticsearch or Logstash.
SYSTEM_TESTS=true
TEST_ENVIRONMENT=false

GOX_OS=windows
TARGETS="windows/amd64 windows/386"
PACKAGES=winlogbeat/win

include ../libbeat/scripts/Makefile

.PHONY: gen
gen:
	GOOS=windows GOARCH=386 go generate -v -x ./...

# This is called by the beats packer before building starts
.PHONY: before-build
before-build:

# Collects all dependencies and then calls update
.PHONY: collect
collect:

=== vendor/github.com/elastic/beats/dev-tools/packer/Makefile ===
BUILDID?=$(shell git rev-parse HEAD)
SNAPSHOT?=yes

BEATS_BUILDER_IMAGE?=tudorg/beats-builder
BEATS_BUILDER_DEB6_IMAGE?=tudorg/beats-builder-deb6

makefile_abspath:=$(abspath $(lastword $(MAKEFILE_LIST)))
packer_absdir=$(shell dirname ${makefile_abspath})
beat_abspath=${GOPATH}/src/${BEAT_DIR}


%/deb: ${BUILD_DIR}/god-linux-386 ${BUILD_DIR}/god-linux-amd64 fpm-image
	echo Creating DEB packages for $(@D)
	ARCH=386 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/debian/build.sh
	ARCH=amd64 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/debian/build.sh

%/rpm: ${BUILD_DIR}/god-linux-386 ${BUILD_DIR}/god-linux-amd64 fpm-image
	echo Creating RPM packages for $(@D)
	ARCH=386 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/centos/build.sh
	ARCH=amd64 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/centos/build.sh

%/darwin:
	echo Creating Darwin packages for $(@D)
	ARCH=amd64 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/darwin/build.sh

%/win:
	echo Creating Darwin packages for $(@D)
	ARCH=386 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/windows/build.sh
	ARCH=amd64 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/windows/build.sh

%/bin:
	echo Creating Linux packages for $(@D)
	ARCH=386 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/binary/build.sh
	ARCH=amd64 BEAT=$(@D) BUILD_DIR=${BUILD_DIR} BEAT_DIR=$(beat_abspath) BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/binary/build.sh

.PHONY: package-dashboards
package-dashboards:
	echo Creating the Dashboards package
	BUILDID=$(BUILDID) SNAPSHOT=$(SNAPSHOT) $(packer_absdir)/platforms/dashboards/build.sh

.PHONY: deps
deps:
	go get -u github.com/tsg/gotpl

.PHONY: xgo-image
xgo-image:
	cd $(packer_absdir)/docker/xgo-image/; ./build.sh
	# copy build.sh script in the xgo-image-deb6 to avoid code duplication
	cp $(packer_absdir)/docker/xgo-image/base/build.sh $(packer_absdir)/docker/xgo-image-deb6/base/build.sh
	cd $(packer_absdir)/docker/xgo-image-deb6/; ./build.sh

.PHONY: fpm-image
fpm-image:
	docker build --rm=true -t tudorg/fpm $(packer_absdir)/docker/fpm-image

.PHONY: go-daemon-image
go-daemon-image:
	docker build --rm=true -t tudorg/go-daemon $(packer_absdir)/docker/go-daemon/

${BUILD_DIR}/god-linux-386 ${BUILD_DIR}/god-linux-amd64:
	docker run --rm -v ${BUILD_DIR}:/build tudorg/go-daemon

${BUILD_DIR}/upload:
	mkdir -p ${BUILD_DIR}/upload

${BUILD_DIR}/upload/build_id.txt:
	echo $(BUILDID) > ${BUILD_DIR}/upload/build_id.txt

# Build the image required for package-upload.
.PHONY: deb-rpm-s3
deb-rpm-s3:
	$(packer_absdir)/docker/deb-rpm-s3/build.sh

.PHONY: run-interactive-builder-deb6
run-interactive-builder-deb6:
	docker run -t -i -v $(shell pwd)/build:/build \
		-v $(shell pwd)/xgo-scripts/:/scripts \
		-v $(shell pwd)/../..:/source \
		--entrypoint=bash ${BEATS_BUILDER_DEB6_IMAGE}

.PHONY: run-interactive-builder
run-interactive-builder:
	docker run -t -i -v $(shell pwd)/build:/build \
		-v $(packer_absdir)/xgo-scripts/:/scripts \
		-v $(shell pwd)/../..:/source \
		--entrypoint=bash ${BEATS_BUILDER_IMAGE}

.PHONY: images
images: xgo-image fpm-image go-daemon-image

.PHONY: push-images
push-images:
	docker push ${BEATS_BUILDER_IMAGE}
	docker push ${BEATS_BUILDER_DEB6_IMAGE}
	docker push tudorg/fpm
	docker push tudorg/go-daemon

.PHONY: pull-images
pull-images:
	docker pull ${BEATS_BUILDER_IMAGE}
	docker pull ${BEATS_BUILDER_DEB6_IMAGE}
	docker pull tudorg/fpm
	docker pull tudorg/go-daemon


define rm-image =
@echo "Cleaning $(1) image..."
  @if [ $(shell docker ps  -n 1 -a -q  --filter="image=$(1)" )  ]; then \
      docker stop $(shell docker ps -a -q --filter="image=$(1)"); \
      docker rm   $(shell docker ps -a -q --filter="image=$(1)"); \
  fi; \
\
  if [ $(shell docker images -q $(1)) ]; then \
    docker rmi $(1); \
  fi
endef


.PHONY: clean-images
clean-images:
	@$(call rm-image, ${BEATS_BUILDER_DEB6_IMAGE})
	@$(call rm-image, ${BEATS_BUILDER_IMAGE})

.PHONY: clean
clean:
	$(call rm-image,build-image)

=== vendor/github.com/elastic/beats/generate/beat/Makefile ===
BUILD_DIR?=build
PWD=$(shell pwd)
PYTHON_ENV?=${BUILD_DIR}/python-env/
BEAT_PATH=${BUILD_DIR}/src/beatpath/testbeat
ES_BEATS=${GOPATH}/src/github.com/elastic/beats

# Runs test build for mock beat
.PHONY: test
test: python-env

	# Create copy of cookiecutter for building with defaults
	mkdir -p build/src/beatpath
	cp -r \{\{cookiecutter.beat\}\} build
	cp tests/cookiecutter.json build/

	mkdir -p ${BEAT_PATH}
	. ${PYTHON_ENV}/bin/activate && cookiecutter --no-input -o build/src/beatpath -f  build ;

	# Makes sure to use current version of beats for testing
	mkdir -p ${BUILD_DIR}/src/github.com/elastic/beats/
	rsync -a --exclude=generate ${PWD}/../../* ${BUILD_DIR}/src/github.com/elastic/beats/

	. ${PYTHON_ENV}/bin/activate; \
	export GOPATH=${PWD}/build ; \
	export PATH=${PATH}:${PWD}/build/bin; \
	cd ${BEAT_PATH} ; \
	make copy-vendor ; \
	make check ; \
	make update ; \
	make ; \
	make unit

# Runs test build for the created beat
.PHONY: test-build
test-build: test

	# Copy dev tools
	cp -r ${PWD}/../../../dev-tools ${BEAT_PATH}/vendor/github.com/elastic/beats/

	cd ${BEAT_PATH}/dev-tools/packer ; \
	make deps ; \
	make images

# Sets up the virtual python environment
.PHONY: python-env
python-env:
	test -d ${PYTHON_ENV} || virtualenv ${PYTHON_ENV}
	. ${PYTHON_ENV}/bin/activate && pip install --upgrade pip cookiecutter PyYAML

# Cleans up environment
.PHONY: clean
clean:
	rm -rf build

=== vendor/github.com/elastic/beats/packetbeat/debian/changelog ===
packetbeat (1.0.0~beta2) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Tue, 30 Jun 2015 20:12:00 +0100

packetbeat (1.0.0~Beta1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Tue, 04 May 2015 11:24:00 +0100

packetbeat (0.5.0-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Tue, 20 Mar 2015 15:08:00 +0100

packetbeat (0.4.3-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Tue, 27 Jan 2015 15:08:00 +0100

packetbeat (0.4.2-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Wed, 8 Dec 2014 10:42:00 +0100

packetbeat (0.4.1-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Wed, 23 Nov 2014 21:16:00 +0100

packetbeat (0.4.0-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Wed, 05 Nov 2014 19:37:00 +0100

packetbeat (0.3.3-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 14 Sep 2014 16:46:00 +0100

packetbeat (0.3.2-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 06 Aug 2014 20:46:00 +0100

packetbeat (0.3.1-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 17 Jun 2014 13:33:00 +0100

packetbeat (0.3.0-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 17 Jun 2014 13:33:00 +0100

packetbeat (0.2.2-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 17 Jun 2014 13:33:00 +0100

packetbeat (0.2.1-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 01 Jun 2014 13:17:00 +0100

packetbeat (0.2.0-4) unstable; urgency=low

    * New build.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 01 Jun 2014 13:17:00 +0100

packetbeat (0.2.0-3) unstable; urgency=low

    * New build.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 29 May 2014 12:22:00 +0100

packetbeat (0.2.0-2) unstable; urgency=low

    * New build.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 27 May 2014 23:16:00 +0100

packetbeat (0.2.0-1) unstable; urgency=low

    * Updated to version 0.2.0

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 21 May 2014 19:23:00 +0100

packetbeat (0.1.1-1) unstable; urgency=low

    * Updated to version 0.1.1

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 10 May 2014 01:05:00 +0100

packetbeat (0.1.0-1) unstable; urgency=low

    * First version

 -- Monica Sarbu <monica@packetbeat.com>  Sun, 06 Apr 2014 00:12:00 +0100

=== vendor/github.com/elastic/beats/packetbeat/debian/control ===
Source: packetbeat
Section: net
Priority: optional
Maintainer: Monica Sarbu <monica@packetbeat.com>
Build-Depends: debhelper (>= 7.0.50~), libpcap0.8-dev
Standards-Version: 3.8.3
Homepage: http://packetbeat.com
Vcs-browser: https://github.com/packetbeat/packetbeat
Vcs-git: https://github.com/packetbeat/packetbeat.git

Package: packetbeat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Packetbeat Agent

=== vendor/github.com/elastic/beats/packetbeat/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	go test -short

override_dh_installinit:
	dh_installinit --no-start
